nelmio_api_doc:
    documentation:
        openapi: '3.0.0'
        info:
            title: Ledger API
            description: API for enterprises to access the Ledger database.
            version: 1.0.0
            contact:
                name: API Support
                email: '%env(APP_EMAIL_SUPPORT)%'
                url: https://help.ledgerteams.com
        components:
            securitySchemes:
                Bearer:
                    type: http
                    scheme: bearer
                    bearerFormat: JWT
        security:
            -   Bearer: [ ]
    areas:
        path_patterns:
            - ^/api(?!/(doc(?!uments)|shared|integration/webhook|stripe/webhook).*)
    models:
        names:
            - { alias: DeletionAudit, type: App\Entity\DeletionAudit, groups: [read] }
            - { alias: CronSchedule, type: App\Entity\CronSchedule, groups: [read] }
            - { alias: Plan, type: App\Entity\Plan, groups: [read] }
            - { alias: Category, type: App\Entity\Category, groups: [read] }
            - { alias: Position, type: App\Entity\Position, groups: [read] }
            - { alias: Source, type: App\Entity\Source, groups: [read] }
            - { alias: Stage, type: App\Entity\Stage, groups: [read] }
            - { alias: User, type: App\Entity\User, groups: [read] }
            - { alias: User_profile, type: App\Entity\User, groups: [read, user:read] }
            - { alias: User_profile_extended, type: App\Entity\User, groups: [read, user:read, user:extended] }
            - { alias: Invoice, type: App\Entity\Invoice, groups: [read] }
            - { alias: Notification, type: App\Entity\Notification, groups: [read] }
            - { alias: Tag, type: App\Entity\Tag, groups: [read] }
            - { alias: Template, type: App\Entity\Template, groups: [read] }
            - { alias: TemplateColumn, type: App\Entity\Template\Column, groups: [read] }
            - { alias: TemplateTask, type: App\Entity\Template\Task, groups: [read] }
            - { alias: Workspace, type: App\Entity\Workspace, groups: [read] }
            - { alias: Member, type: App\Entity\Workspace\Member, groups: [read] }
            - { alias: Folder, type: App\Entity\Workspace\Folder, groups: [read] }
            - { alias: Stream, type: App\Entity\Workspace\Stream, groups: [read] }
            - { alias: Collaborator, type: App\Entity\Workspace\Stream\Collaborator, groups: [read] }
            - { alias: File, type: App\Entity\Workspace\Stream\File, groups: [read] }
            - { alias: Comment, type: App\Entity\Workspace\Stream\Comment, groups: [read] }
            - { alias: CommentCollaborator, type: App\Entity\Workspace\Stream\Comment\Collaborator, groups: [read] }
            - { alias: CommentPoll, type: App\Entity\Workspace\Stream\Comment\Poll, groups: [read] }
            - { alias: CommentOption, type: App\Entity\Workspace\Stream\Comment\Option, groups: [read] }
            - { alias: CommentReaction, type: App\Entity\Workspace\Stream\Comment\Reaction, groups: [read] }
            - { alias: Document, type: App\Entity\Workspace\Stream\Document, groups: [read] }
            - { alias: Event, type: App\Entity\Workspace\Stream\Event, groups: [read] }
            - { alias: Column, type: App\Entity\Workspace\Stream\Column, groups: [read] }
            - { alias: Task, type: App\Entity\Workspace\Stream\Task, groups: [read] }
            - { alias: TaskItem, type: App\Entity\Workspace\Stream\Task\Item, groups: [read] }
            - { alias: Whiteboard, type: App\Entity\Workspace\Stream\Whiteboard, groups: [read] }
            - { alias: Milestone, type: App\Entity\Workspace\Stream\Milestone, groups: [read] }
